package com.yihu.jw.entity.thirdUpload;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;
@Entity
@Table(name = "upns_doctor_record")
@JsonIgnoreProperties(value = { "hibernateLazyInitializer", "handler" })
public class UpnsDoctorRecordDO extends UuidIdentityEntity {
    private String organ_code;
    private String organ_name;
    private String doc_name;
    private String docimg;
    private String id_card;
    private String sex;
    private String birthday;
    private String subject;
    private String subject_name;
    private String belong_dept;
    private String belong_dept_name;
    private String doo_tel;
    private String title_rec_date;
    private String prac_type;
    private String title_code;
    private String first_compeny_code;
    private String first_compeny_name;
    private String secd_compeny_code;
    private String secd_compeny_name;
    private String net_service;
    private String cert_no;
    private String prac_no;
    private String doc_cert;
    private String cert_doc_prac;
    private String txt_introduction;
    private Date create_time;
    private Date update_time;
    private String is_del;
    @Column(name = "is_del")
    public String getIs_del() {
        return is_del;
    }

    public void setIs_del(String is_del) {
        this.is_del = is_del;
    }

    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }
    @Column(name = "create_time")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    @Column(name = "organ_code")
    public String getOrgan_code() {
        return organ_code;
    }

    public void setOrgan_code(String organ_code) {
        this.organ_code = organ_code;
    }
    @Column(name = "organ_name")
    public String getOrgan_name() {
        return organ_name;
    }

    public void setOrgan_name(String organ_name) {
        this.organ_name = organ_name;
    }
    @Column(name = "doc_name")
    public String getDoc_name() {
        return doc_name;
    }

    public void setDoc_name(String doc_name) {
        this.doc_name = doc_name;
    }
    @Column(name = "docimg")
    public String getDocimg() {
        return docimg;
    }

    public void setDocimg(String docimg) {
        this.docimg = docimg;
    }
    @Column(name = "id_card")
    public String getId_card() {
        return id_card;
    }

    public void setId_card(String id_card) {
        this.id_card = id_card;
    }
    @Column(name = "sex")
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    @Column(name = "birthday")
    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }
    @Column(name = "subject")
    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }
    @Column(name = "subject_name")
    public String getSubject_name() {
        return subject_name;
    }

    public void setSubject_name(String subject_name) {
        this.subject_name = subject_name;
    }
    @Column(name = "belong_dept")
    public String getBelong_dept() {
        return belong_dept;
    }

    public void setBelong_dept(String belong_dept) {
        this.belong_dept = belong_dept;
    }
    @Column(name = "belong_dept_name")
    public String getBelong_dept_name() {
        return belong_dept_name;
    }

    public void setBelong_dept_name(String belong_dept_name) {
        this.belong_dept_name = belong_dept_name;
    }
    @Column(name = "doo_tel")
    public String getDoo_tel() {
        return doo_tel;
    }

    public void setDoo_tel(String doo_tel) {
        this.doo_tel = doo_tel;
    }
    @Column(name = "title_rec_date")
    public String getTitle_rec_date() {
        return title_rec_date;
    }

    public void setTitle_rec_date(String title_rec_date) {
        this.title_rec_date = title_rec_date;
    }
    @Column(name = "prac_type")
    public String getPrac_type() {
        return prac_type;
    }

    public void setPrac_type(String prac_type) {
        this.prac_type = prac_type;
    }
    @Column(name = "title_code")
    public String getTitle_code() {
        return title_code;
    }

    public void setTitle_code(String title_code) {
        this.title_code = title_code;
    }
    @Column(name = "first_compeny_code")
    public String getFirst_compeny_code() {
        return first_compeny_code;
    }

    public void setFirst_compeny_code(String first_compeny_code) {
        this.first_compeny_code = first_compeny_code;
    }
    @Column(name = "first_compeny_name")
    public String getFirst_compeny_name() {
        return first_compeny_name;
    }

    public void setFirst_compeny_name(String first_compeny_name) {
        this.first_compeny_name = first_compeny_name;
    }
    @Column(name = "secd_compeny_code")
    public String getSecd_compeny_code() {
        return secd_compeny_code;
    }

    public void setSecd_compeny_code(String secd_compeny_code) {
        this.secd_compeny_code = secd_compeny_code;
    }
    @Column(name = "secd_compeny_name")
    public String getSecd_compeny_name() {
        return secd_compeny_name;
    }

    public void setSecd_compeny_name(String secd_compeny_name) {
        this.secd_compeny_name = secd_compeny_name;
    }
    @Column(name = "net_service")
    public String getNet_service() {
        return net_service;
    }

    public void setNet_service(String net_service) {
        this.net_service = net_service;
    }
    @Column(name = "cert_no")
    public String getCert_no() {
        return cert_no;
    }

    public void setCert_no(String cert_no) {
        this.cert_no = cert_no;
    }
    @Column(name = "prac_no")
    public String getPrac_no() {
        return prac_no;
    }

    public void setPrac_no(String prac_no) {
        this.prac_no = prac_no;
    }
    @Column(name = "doc_cert")
    public String getDoc_cert() {
        return doc_cert;
    }

    public void setDoc_cert(String doc_cert) {
        this.doc_cert = doc_cert;
    }
    @Column(name = "cert_doc_prac")
    public String getCert_doc_prac() {
        return cert_doc_prac;
    }

    public void setCert_doc_prac(String cert_doc_prac) {
        this.cert_doc_prac = cert_doc_prac;
    }
    @Column(name = "txt_introduction")
    public String getTxt_introduction() {
        return txt_introduction;
    }

    public void setTxt_introduction(String txt_introduction) {
        this.txt_introduction = txt_introduction;
    }
}
